#Filtering stage settings

#      DAYS    SECONDS
#       1 d	 86400 ;1 d
#       2 d	172800 ;2 d
#     2.5 d	216000 ;2.5 d
#       3 d	260000 ;3 d
#       4 d	345600 ;4 d
#       5 d	432000 ;5 d
#
#     HOURS	DAYS
#       1 h	0.041666 ;1 h
#       3 h	0.125 ;3 h
#
#     HOURS    SECONDS
#     1/2 h       1800 ;1/2 h
#       1 h       3600 ;1 h
#       5 h      18000 ;5 h
#       6 h      21600 ;6 h
#
#   CELSIUS     KELVIN
#    -73.15        200 ;-73 C
#    -33.15        240 ;-33 C
#         0       -273.15 ;0 C
#     36.85        310 ;37 C
#     46.85        320 ;46 C
#
#       M/S       KM/H
#        50        180
#        70        252

[FILTERS]
HS::FILTER1		=	ADD	;remove big snow sensor offset
HS::ARG1::TYPE		=	FILE
HS::ARG1::PERIOD	=	MONTHLY
HS::ARG1::CORRECTIONS	=	HS_corr.dat
HS::FILTER2		=	MIN
HS::ARG2::SOFT		=	TRUE
HS::ARG2::MIN		=	0.0
HS::FILTER3		=	RATE
HS::ARG3::MAX		=	5.55E-5		;0.20 m / 3600 s = 1 h
HS::FILTER4		=	STD_DEV		;spike surrounded by nodata on 01-16
HS::ARG4::CENTERING	=	LEFT		;and a couple of small ones: 11-28, 12-19
HS::ARG4::MIN_PTS	=	10
HS::ARG4::MIN_SPAN	=	260000	;3 d
HS::ARG4::SOFT		= 	TRUE

#for TA between 240 and 320 K ~ -33 to 47 °C
ILWR::FILTER1		=	MIN_MAX
ILWR::ARG1::MIN		=	180
ILWR::ARG1::MAX		=	600
ILWR::FILTER2		=	MAX
ILWR::ARG2::SOFT	=	TRUE
ILWR::ARG2::MAX		=	400

ISWR::FILTER1		=	MIN_MAX
ISWR::ARG1::MIN   	=	-10
ISWR::ARG1::MAX		=	1500
ISWR::FILTER2		=	MIN_MAX
ISWR::ARG2::SOFT	=	TRUE
ISWR::ARG2::MIN		=	0.0
ISWR::ARG2::MAX		=	1500

PSUM::FILTER1		=	MIN
PSUM::ARG1::SOFT	=	TRUE
PSUM::ARG1::MIN		=	0.0

RH::FILTER1		=	MIN_MAX
RH::ARG1::MIN		=	0.01
RH::ARG1::MAX		=	1.2
RH::FILTER2		=	MIN_MAX
RH::ARG2::SOFT		=	TRUE
RH::ARG2::MIN		=	0.05
RH::ARG2::MAX		=	1.0

RSWR::FILTER1		=	MIN_MAX
RSWR::ARG1::MIN		=	-10
RSWR::ARG1::MAX		=	1500
RSWR::FILTER2		=	MIN_MAX
RSWR::ARG2::SOFT	=	TRUE
RSWR::ARG2::MIN		=	0.0
RSWR::ARG2::MAX		=	1500

TA::FILTER1		=	MIN_MAX
TA::ARG1::MIN		=	240
TA::ARG1::MAX		=	320

VW::FILTER1		=	MIN_MAX
VW::ARG1::MIN		=	-2.0
VW::ARG1::MAX		=	70
VW::FILTER2		=	MIN_MAX
VW::ARG2::SOFT		=	TRUE
VW::ARG2::MIN		=	0.2
VW::ARG2::MAX		=	50

#####

TIME::FILTER1		= 	SUPPR	;period with unusable data / completely frozen sensors
TIME::ARG1::SUPPR	=	suppr.dat
